cmake_minimum_required(VERSION 3.9)
project(SegTree)

set(CMAKE_CXX_STANDARD 14)
SET(CMAKE_CXX_FLAGS -pthread)

add_executable(A src/task_a.cpp)
add_executable(B src/task_b.cpp)
add_executable(C src/task_c.cpp)
add_executable(D src/task_d.cpp)
add_executable(E src/task_e.cpp)
add_executable(F src/task_f.cpp)
add_executable(G src/task_g.cpp)
add_executable(H src/task_h.cpp)
add_executable(I src/task_i.cpp)
add_executable(J src/task_j.cpp)
add_executable(K src/task_k.cpp)
add_executable(L src/task_l.cpp)

add_definitions(-DON_MY_PC)